<?php

declare(strict_types=1);

namespace App\Model;



/**
 * @property int $id 
 * @property string $name 
 * @property int $pid 
 * @property int $areaid 
 * @property string $amount 
 * @property string $introduce 
 * @property int $hits 
 * @property string $admin_user_id 
 * @property string $fromtime 
 * @property string $totime 
 * @property string $text_name 
 * @property string $text_url 
 * @property string $text_title 
 * @property string $image_src 
 * @property string $image_url 
 * @property string $image_alt 
 * @property string $video_src 
 * @property string $video_url 
 * @property int $video_auto 
 * @property int $video_loop 
 * @property int $status 
 * @property string $remark 
 * @property \Carbon\Carbon $created_at 
 * @property \Carbon\Carbon $updated_at 
 */
class Ad extends Model
{
    /**
     * The table associated with the model.
     */
    protected ?string $table = 'ad';

    /**
     * The attributes that are mass assignable.
     */
    protected array $fillable = [];

    /**
     * The attributes that should be cast to native types.
     */
    protected array $casts = ['id' => 'integer', 'pid' => 'integer', 'areaid' => 'integer', 'hits' => 'integer', 'video_auto' => 'integer', 'video_loop' => 'integer', 'status' => 'integer', 'created_at' => 'datetime', 'updated_at' => 'datetime'];
}
